YUI Flash Component Documentation | All Packages | All Classes | Index | Frames No Frames |
Interface IOriginAxis

Package | com.yahoo.astra.fl.charts.axes
Interface | public interface IOriginAxis extends IAxis
Implementors | NumericAxis

An axis with an origin.

Public Properties
Hide Inherited Public Properties
Show Inherited Public Properties

| Property | Defined by
--- | --- | ---
|  | chart : IChart The chart in which this axis appears. | IAxis
|  | labelFunction : Function A function may be set to determine the text value of the labels. | IAxis
|  | origin : Object [read-only] Returns the value of the origin. | IOriginAxis
|  | renderer : IAxisRenderer The visual renderer associated with this axis. | IAxis
|  | reverse : Boolean Sets the direction of the labels and other visual objects along the axis. | IAxis
|  | title : String The text that will appear next to the axis to indicate information about the data that it displays. | IAxis

Public Methods
Hide Inherited Public Methods
Show Inherited Public Methods

| Method | Defined by
--- | --- | ---
|  | updateScale(data:Array):void Determines the axis scale based on the input data set. | IAxis
|  | valueToLabel(value:Object):String Converts a value on the axis to formatted label text. | IAxis
|  | valueToLocal(value:Object):Number Calculates the position of a data point along the axis. | IAxis

Property detail

origin | property

`origin:Object` [read-only]

Returns the value of the origin. This is not the position of the origin. To get the origin's position, pass the origin value to valueToLocal(). Note: This value may not be the true origin value. It may be a minimum or maximum value if the actual origin is not visible.

Implementation
`public function get origin():Object`

See also

IAxis.valueToLocal()